瀏覽代碼

Added 'set -e' to maintainer scripts.

Eugene V. Lyubimkin 17 年之前
父節點
當前提交
0c96f6dfdc
共有 4 個文件被更改,包括 9 次插入0 次删除
  1. 3 0
      debian/changelog
  2. 2 0
      debian/postrm
  3. 2 0
      debian/preinst
  4. 2 0
      debian/prerm

+ 3 - 0
debian/changelog

@@ -17,6 +17,9 @@ apt (0.7.17) unstable; urgency=low
   * debian/libapt-pkg-doc.doc-base.*:
     - Changed section: from old 'Devel' to 'Debian'. This fixes appropriate
       lintian warnings.
+  * debian/{postrm,prerm,preinst}:
+    - Added 'set -e', fixes lintian warnings
+      'maintainer-script-ignores-error'.
 
  -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Fri, 24 Oct 2008 23:45:17 +0300
 

+ 2 - 0
debian/postrm

@@ -8,6 +8,8 @@
 # the Free Software Foundation; either version 2 of the License, or
 # (at your option) any later version.
 
+set -e
+
 #DEBHELPER#
 
 case "$1" in

+ 2 - 0
debian/preinst

@@ -1,5 +1,7 @@
 #! /bin/sh
 
+set -e
+
 # dpkg does this for us while we are upgrading..
 #if [ "$1" = "upgrade" -a -L /var/state/apt -a -e /var/lib/apt -a ! -L /var/state/apt ] && dpkg --compare-versions "$2" ">=" "0.4.10"; then
 #  rm /var/state/apt

+ 2 - 0
debian/prerm

@@ -1,5 +1,7 @@
 #! /bin/sh
 
+set -e
+
 #DEBHELPER#
 
 if [ "$1" = "upgrade" -o "$1" = "failed-upgrade" ] &&